This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 176375 - Regression of gulm check for fenced init script
Regression of gulm check for fenced init script
Status: CLOSED DEFERRED
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: fence (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Grac
Cluster QE
: Regression
Depends On:
Blocks: 164914
  Show dependency treegraph
 
Reported: 2005-12-21 17:26 EST by Corey Marthaler
Modified: 2013-09-23 11:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 11:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2005-12-21 17:26:01 EST
Description of problem:
The cman check has to go after the check for the gulm section or else the init
script will always fail and never warn.
 
[root@link-02 init.d]# diff fenced.new fenced
26a27,33
>       if ! [ -e /proc/cluster/status ]
>       then
>               failure "cman has not been properly started."
>               echo
>               return 0
>       fi
>
42,48d48
<       if ! [ -e /proc/cluster/status ]
<       then
<               failure "cman has not been properly started."
<               echo
<               return 0
<       fi
<


Version-Release number of selected component (if applicable):
fence-1.32.12-0

How reproducible:
everytime
Comment 1 Corey Marthaler 2006-01-03 12:08:23 EST
adding to the blocker list
Comment 2 Jim Parsons 2006-01-09 12:41:37 EST
Fixed in U3 tree
Comment 3 Corey Marthaler 2006-01-24 15:06:22 EST
fix verified in fence-1.32.13-0.
Comment 4 David Lawrence 2006-04-18 10:42:53 EDT
PASSES_QA status has been deprecated in favor of VERIFIED. Changing status to
VERIFIED.
Comment 5 Tony Fu 2010-01-11 01:25:49 EST
Current assignee's account has been disabled.

Changed the assignee to this component's initial owner.
Comment 6 Benjamin Kahn 2010-10-18 11:38:03 EDT
Changing this bug from PASSES_QA to VERIFIED.  The PASSES_QA state will be removed soon.
Comment 7 Lon Hohberger 2013-09-23 11:32:13 EDT
The Red Hat Cluster Suite product is past end-of-life; closing.

Note You need to log in before you can comment on or make changes to this bug.